<div *ngIf="!loading" div class="form">
    <mat-icon class="close-popup" (click)="closePopup()">clear</mat-icon>
    <h2 class="form__title">Datos del nuevo comercio</h2>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Escribe el nombre de tu comercio
            </h3>
            <mat-form-field>
                <mat-label>Nombre del comercio</mat-label>
                <input #name matInput type="text" placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Escribe la ubicación del comercio
            </h3>
            <mat-form-field>
                <mat-label>Ubicación del comercio</mat-label>
                <input #location     matInput type="text" placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
    </div>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Describe tu comercio
            </h3>
            <mat-form-field>
                <mat-label>Descripción del comercio</mat-label>
                <input #description matInput type="text" placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Características del comercio
            </h3>
            <mat-form-field>
                <mat-label>Características del comercio</mat-label>
                <mat-select (selectionChange)="addType($event)">
                    <mat-option *ngFor="let characteristic of characteristics" [value]="characteristic">
                        {{characteristic}}
                    </mat-option>
                </mat-select>
            </mat-form-field>
            <mat-chip-list #chipList aria-label="Fruit selection">
                <mat-chip
                  *ngFor="let type of types"
                  [removable]="true"
                  (removed)="removeType(type)">
                  {{type}}
                  <mat-icon matChipRemove>cancel</mat-icon>
                </mat-chip>
            </mat-chip-list>
        </div>
    </div>
    <div class="form__row">
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                ¿ Tu comercio cuenta con envio a domicilio ?
            </h3>
            <div class="slider">
                <mat-slide-toggle
                    [(ngModel)]="delivery_service">
                    {{delivery_service? 'Sí':'No'}}
                </mat-slide-toggle>
            </div>
        </div>
        <div>
            <h3 style="margin-top: 5px; margin-bottom: 5px;">
                Número Telefónico del comercio
            </h3>
            <mat-form-field>
                <mat-label>Número de Teléfono</mat-label>
                <input #number matInput type="text" placeholder="Escribe aquí ...">
            </mat-form-field>
        </div>
    </div>
    <div class="form__row">
        <div>
            <button mat-flat-button color="primary" (click)="uploadImage.click()">
                Añadir Imágen del Comercio
                <input hidden type="file" #uploadImage
                    (change)="uploadImageFile($event)"
                    accept="image/*"
                />
            </button>  
            <div class="form__image-place">
                <img [src]="image">
            </div>
        </div>
        <div>
            <button mat-flat-button color="primary" (click)="uploadLogo.click()">
                Añadir Logo del Comercio
                <input hidden type="file" #uploadLogo
                    (change)="uploadLogoFile($event)"
                    accept="image/*"
                />
            </button> 
            <div class="form__image-place">
                <img [src]="logo">
            </div>
        </div>
    </div>
    <button mat-flat-button color="accent" (click)="addNewCommerce(name, description, location, number)">
        Agregar Negocio
        <mat-icon>add</mat-icon>
    </button>
</div>
<div *ngIf="loading" class="loading_screen">
    <h1>Añadiendo nuevo negocio</h1>
    <mat-spinner class="loading_screen__spinner"></mat-spinner>
</div>